# MSP::CCS::BNGCoordinates Class Reference

`#include <BNGCoordinates.h>`

Inheritance diagram for MSP::CCS::BNGCoordinates:

List of all members.

## Public Member Functions

| BNGCoordinates ()
| BNGCoordinates (CoordinateType::Enum _coordinateType)
| BNGCoordinates (CoordinateType::Enum _coordinateType, const char *__BNGString)
| BNGCoordinates (CoordinateType::Enum _coordinateType, const char *__BNGString, Precision::Enum __precision)
| BNGCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, const char *__BNGString, Precision::Enum __precision)
| BNGCoordinates (const BNGCoordinates &b)
| ~BNGCoordinates ()
BNGCoordinates & | operator= (const BNGCoordinates &b)
void | set (char __BNGString[21])
char * | BNGString ()
Precision::Enum | precision () const

## Detailed Description

Definition at line 16 of file BNGCoordinates.h.

## Constructor & Destructor Documentation

BNGCoordinates::BNGCoordinates | ( |  | ) |

Definition at line 10 of file BNGCoordinates.cpp.

BNGCoordinates::BNGCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 18 of file BNGCoordinates.cpp.

BNGCoordinates::BNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __BNGString |
| ) |  |  |

Definition at line 26 of file BNGCoordinates.cpp.

BNGCoordinates::BNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __BNGString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 35 of file BNGCoordinates.cpp.

BNGCoordinates::BNGCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | const char * | __BNGString,
|  | Precision::Enum | __precision |
| ) |  |  |

Definition at line 44 of file BNGCoordinates.cpp.

BNGCoordinates::BNGCoordinates | ( | const BNGCoordinates & | b | ) |

Definition at line 57 of file BNGCoordinates.cpp.

BNGCoordinates::~BNGCoordinates | ( |  | ) |

Definition at line 72 of file BNGCoordinates.cpp.

## Member Function Documentation

char * BNGCoordinates::BNGString | ( |  | ) |

Definition at line 104 of file BNGCoordinates.cpp.

BNGCoordinates & BNGCoordinates::operator= | ( | const BNGCoordinates & | b | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 77 of file BNGCoordinates.cpp.

Precision::Enum BNGCoordinates::precision | ( |  | ) | const

Definition at line 110 of file BNGCoordinates.cpp.

void BNGCoordinates::set | ( | char | __BNGString[21] | ) |

Definition at line 97 of file BNGCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/BNGCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/BNGCoordinates.cpp